Skip to main content
GET
/
projects
/
{workspaceId}
/
{projectId}
Get project
curl --request GET \
  --url https://productlane.com/api/v1/projects/{workspaceId}/{projectId}
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "color": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "icon": "<string>",
  "linearProjectId": "<string>",
  "linearTeamIds": [
    "<string>"
  ],
  "progress": 123,
  "sortOrder": 123,
  "state": "<string>",
  "upvotes": 123,
  "importanceScore": 123
}

Documentation Index

Fetch the complete documentation index at: https://productlane.mintlify.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectId
string
required
workspaceId
string
required

Query Parameters

language
string

Response

Successful response

id
string
required
name
string
required
description
string | null
required
color
string | null
required
createdAt
string<date-time>
required
icon
string | null
required
linearProjectId
string | null
required
linearTeamIds
string[]
required
progress
number | null
required
sortOrder
number
required
state
string | null
required
upvotes
number
required
importanceScore
number
required